Bug 330671 - Can rescue disk image be used to upgrade?
Can rescue disk image be used to upgrade?
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-13 10:42 EDT by Stepan Kasal
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-29 10:13:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stepan Kasal 2007-10-13 10:42:00 EDT
I'm using rescue disk image to upgrade my system.  But there is a confusion
about stage2.img.  It seems that the CD contains it, but it is tricky to get to it.

When I'm asked, what media should be used, the answer "local CD/DVD" is not
accepted, because the CD is not an install media.

So I have to choose HTTP, configure the network interface and specify the http URL.

Then the installer discoveres that there is a media in the drive and asks me if
I'd like to check its checksum.

If I answer "Skip", then stage2.img is downloaded from the net, which takes some

But if I answer "Go on, check my media", then the installer complains that there
is not checksum on the disk, _but_ it then uses the media and copies stage2.img
to my hard drive.

Isn't that all weird?

I admit I'm confused, but it may not be totally my fault...
Comment 1 Jeremy Katz 2007-10-22 16:05:49 EDT
Which tree were you trying this with?  Actual test3 or something right before or
Comment 2 Stepan Kasal 2007-10-29 06:52:28 EDT
It was actual test3, downloaded by torrent.
Comment 3 Jeremy Katz 2007-10-29 10:13:49 EDT
Chris fixed some things around this last week.

Note You need to log in before you can comment on or make changes to this bug.